> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Case Trigger

> Update the case trigger configuration for a workflow.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json patch /workspaces/{workspace_id}/workflows/{workflow_id}/case-trigger
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/workflows/{workflow_id}/case-trigger:
    patch:
      tags:
        - triggers
      summary: Update Case Trigger
      description: Update the case trigger configuration for a workflow.
      operationId: triggers-update_case_trigger
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: workflow_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                pattern: wf_[0-9a-zA-Z]+
              - type: string
                pattern: wf-[0-9a-f]{32}
            title: Workflow Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CaseTriggerUpdate'
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    CaseTriggerUpdate:
      properties:
        status:
          anyOf:
            - type: string
              enum:
                - online
                - offline
            - type: 'null'
          title: Status
        event_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/CaseEventType'
              type: array
            - type: 'null'
          title: Event Types
        tag_filters:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tag Filters
      type: object
      title: CaseTriggerUpdate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CaseEventType:
      type: string
      enum:
        - case_created
        - case_updated
        - case_closed
        - case_reopened
        - case_viewed
        - priority_changed
        - severity_changed
        - status_changed
        - fields_changed
        - assignee_changed
        - attachment_created
        - attachment_deleted
        - tag_added
        - tag_removed
        - payload_changed
        - task_created
        - task_deleted
        - task_status_changed
        - task_priority_changed
        - task_workflow_changed
        - task_assignee_changed
        - dropdown_value_changed
        - table_row_linked
        - table_row_unlinked
        - comment_created
        - comment_updated
        - comment_deleted
        - comment_reply_created
        - comment_reply_updated
        - comment_reply_deleted
      title: CaseEventType
      description: Case activity type values.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````